program project1;

{$mode objfpc}{$H+}

{ Raspberry Pi Application                                                     }
{  Add your program code below, add additional units to the "uses" section if  }
{  required and create new units by selecting File, New Unit from the menu.    }
{                                                                              }
{  To compile your program select Run, Compile (or Run, Build) from the menu.  }

uses
  RaspberryPi,
  GlobalConfig,
  GlobalConst,
  GlobalTypes,
  Platform,
  Threads,
  SysUtils,
  Classes,
  Ultibo,
  Console,
  RGPIO,
  i2c_Basic,
  AT24C32;


var
  Handle1:TWindowHandle;
  one_Address : Word;
  one_Byte : Byte;



begin


  SDA_Set;
  SCL_Set;

  GPIO_OUT_Init(GPIO2);
  GPIO_OUT_Init(GPIO3);

  SDA_Set;
  SCL_Set;


  {Let's create a console window again but this time on the left side of the screen}
  Handle1:=ConsoleWindowCreate(ConsoleDeviceGetDefault,CONSOLE_POSITION_FULL,True);

  {To prove that worked let's output some text on the console window}
  ConsoleWindowWriteLn(Handle1,'Example I2C-RAM');
  ConsoleWindowWriteLn(Handle1,' ');


  MillisecondDelay(3000);


  one_Byte:=12;
  one_Address:=5;
//  AT24C32_Data_Write_one_Byte(one_Address,one_Byte);
  ConsoleWindowWriteLn(Handle1,'Byte:'+IntToStr(one_Byte)+'  Address:'+IntToStr(one_Address));
  MillisecondDelay(100);

  one_Byte:=44;
  one_Address:=7;
//  AT24C32_Data_Write_one_Byte(one_Address,one_Byte);
  ConsoleWindowWriteLn(Handle1,'Byte:'+IntToStr(one_Byte)+'  Address:'+IntToStr(one_Address));
  MillisecondDelay(100);

  one_Address:=5;
  one_Byte:=AT24C32_Data_Read_one_Byte(one_Address);
  ConsoleWindowWriteLn(Handle1,'Byte:'+IntToStr(one_Byte)+'  Address:'+IntToStr(one_Address));
  MillisecondDelay(100);


  one_Address:=7;
  one_Byte:=AT24C32_Data_Read_one_Byte(one_Address);
  ConsoleWindowWriteLn(Handle1,'Byte:'+IntToStr(one_Byte)+'  Address:'+IntToStr(one_Address));
  MillisecondDelay(100);



end.



